Translations: English
Search on Docs:
   
ActionItem Search:

#2203: rspec and rspec-rails missing

Type: BugItem Feature: Infrastructure Tags: colivre
ScheduledFor: 0.34.1 Assigned to: JoenioCosta Sites:  
Priority: 0 Status: Done  

Description of the bug

Development requirements documented in config/environments/cucumber.rb aren't specific enough.

undefined method `acts_as_having_settings' for #<Class:0xb660b4d4> (NoMethodError)
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/vendor/rails/activerecord/lib/active_record/base.rb:1667:in `method_missing_without_paginate'
/usr/lib/ruby/1.8/will_paginate/finder.rb:170:in `method_missing'
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/app/models/article.rb:25
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `polyglot_original_require'
/usr/lib/ruby/gems/1.8/gems/polyglot-0.3.3/lib/polyglot.rb:63:in `require'
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:509:in `require'
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:354:in `new_constants_in'
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:509:in `require'
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:101:in `require_or_load'
/home/81665687568/Dropbox/projetos/leandronunes-noosfero/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:260:in `load_missing_constant'
-----cut-----
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/../lib/cucumber/step_mother.rb:84:in `load_code_file'
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/../lib/cucumber/step_mother.rb:76:in `load_code_files'
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/../lib/cucumber/step_mother.rb:75:in `each'
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/../lib/cucumber/step_mother.rb:75:in `load_code_files'
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/../lib/cucumber/cli/main.rb:46:in `execute!'
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/../lib/cucumber/cli/main.rb:24:in `execute'
/usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/bin/cucumber:9
/usr/bin/cucumber:19:in `load'
/usr/bin/cucumber:19
These gems that this application depends on are missing:
 - rspec
 - rspec-rails
Run "rake gems:install" to install them.

Steps to reproduce

  1. Install Debian Lenny
  2. Get Noosfero sources
  3. Try to install dependencies and run cucumber tests
    • RAILS_ENV=cucumber rake gems:install
    • rake cucumber

-- JoenioCosta -- 29 Nov 2011

Gitorious:80

-- JoenioCosta - 29 Nov 2011
Add comment
You need to login to be able to comment.
 

ActionItemForm edit

Title rspec and rspec-rails missing
ActionItemType BugItem
Priority Low
Tags colivre
Feature Infrastructure
Plugin
ResponsibleDevelopers JoenioCosta
ScheduledFor 0.34.1
AffectsVersion
Status Done
Ticket SAC:
Topic revision: r1 - 22 May 2015, UnknownUser

irc Talk with Devs Now!

Copyright © 2007-2019 by the Noosfero contributors
Colivre - Cooperativa de Tecnologias Livres